package com.huiju.estateagents.property.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TpBuilding implements Serializable {
	
	@TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 小区ID
     */
    private Integer orgId;
    
    /**
     * 期区id
     */
    private Integer phaseId;
    
    /**
     * 期区名称
     */
    private String phaseName;
    
    /**
     * 楼栋名称
     */
    private String name;
    
    /**
     * 创建时间
     */
    private LocalDateTime createDate;
}