package com.huiju.estateagents.redpack.entity;

import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;

import lombok.Data;

@Data
public class RefundOrder {
    /**
     * 订单编号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "订单编号", index = 0)
    private String tradeNo;

    /**
     * 退款组织
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "退款组织", index = 1)
    private String miniAppName;

    /**
     * 退款金额
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "退款金额", index = 2)
    private String amount;

    /**
     * 退款创建时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "退款创建时间", index = 3)
    private String createDate;

    /**
     * 退款状态
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "退款状态", index = 4)
    private String auditStatus;

    /**
     * 驳回原因
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "驳回原因", index = 5)
    private String auditResult;

}
